Ponder.registry((event) => {
	event.create("botania:pure_daisy")
		.scene("kubejs:pure_daisy_1", "第一朵花  白雏菊", (scene, utils) => {
			//开局
			scene.addKeyframe()
			scene.configureBasePlate(0, 0, 5)
			scene.showStructure(0)
			scene.idle(10)
			//第一排
			scene.world.setBlocks([4, 1, 0], "tfc:grass/sandy_loam", true)
			scene.world.showSection([4, 1, 0], Direction.DOWN)
			scene.world.setBlocks([4, 1, 1], "tfc:grass/sandy_loam", true)
			scene.world.showSection([4, 1, 1], Direction.DOWN)
			scene.world.setBlocks([4, 1, 2], "tfc:grass/sandy_loam", true)
			scene.world.showSection([4, 1, 2], Direction.DOWN)
			scene.world.setBlocks([4, 1, 3], "tfc:grass/sandy_loam", true)
			scene.world.showSection([4, 1, 3], Direction.DOWN)
			scene.world.setBlocks([4, 1, 4], "tfc:grass/sandy_loam", true)
			scene.world.showSection([4, 1, 4], Direction.DOWN)
			scene.idle(2)
			//第二排
			scene.world.setBlocks([3, 1, 0], "tfc:grass/sandy_loam", true)
			scene.world.showSection([3, 1, 0], Direction.DOWN)
			scene.world.setBlocks([3, 1, 1], "tfc:grass/sandy_loam", true)
			scene.world.showSection([3, 1, 1], Direction.DOWN)
			scene.world.setBlocks([3, 1, 2], "tfc:grass/sandy_loam", true)
			scene.world.showSection([3, 1, 2], Direction.DOWN)
			scene.world.setBlocks([3, 1, 3], "tfc:grass/sandy_loam", true)
			scene.world.showSection([3, 1, 3], Direction.DOWN)
			scene.world.setBlocks([3, 1, 4], "tfc:grass/sandy_loam", true)
			scene.world.showSection([3, 1, 4], Direction.DOWN)
			scene.idle(2)
			//第三排
			scene.world.setBlocks([2, 1, 0], "tfc:grass/sandy_loam", true)
			scene.world.showSection([2, 1, 0], Direction.DOWN)
			scene.world.setBlocks([2, 1, 1], "tfc:grass/sandy_loam", true)
			scene.world.showSection([2, 1, 1], Direction.DOWN)
			scene.world.setBlocks([2, 1, 2], "tfc:grass/sandy_loam", true)
			scene.world.showSection([2, 1, 2], Direction.DOWN)
			scene.world.setBlocks([2, 1, 3], "tfc:grass/sandy_loam", true)
			scene.world.showSection([2, 1, 3], Direction.DOWN)
			scene.world.setBlocks([2, 1, 4], "tfc:grass/sandy_loam", true)
			scene.world.showSection([2, 1, 4], Direction.DOWN)
			scene.idle(2)
			//第四排
			scene.world.setBlocks([1, 1, 0], "tfc:grass/sandy_loam", true)
			scene.world.showSection([1, 1, 0], Direction.DOWN)
			scene.world.setBlocks([1, 1, 1], "tfc:grass/sandy_loam", true)
			scene.world.showSection([1, 1, 1], Direction.DOWN)
			scene.world.setBlocks([1, 1, 2], "tfc:grass/sandy_loam", true)
			scene.world.showSection([1, 1, 2], Direction.DOWN)
			scene.world.setBlocks([1, 1, 3], "tfc:grass/sandy_loam", true)
			scene.world.showSection([1, 1, 3], Direction.DOWN)
			scene.world.setBlocks([1, 1, 4], "tfc:grass/sandy_loam", true)
			scene.world.showSection([1, 1, 4], Direction.DOWN)
			scene.idle(2)
			//第五排
			scene.world.setBlocks([0, 1, 0], "tfc:grass/sandy_loam", true)
			scene.world.showSection([0, 1, 0], Direction.DOWN)
			scene.world.setBlocks([0, 1, 1], "tfc:grass/sandy_loam", true)
			scene.world.showSection([0, 1, 1], Direction.DOWN)
			scene.world.setBlocks([0, 1, 2], "tfc:grass/sandy_loam", true)
			scene.world.showSection([0, 1, 2], Direction.DOWN)
			scene.world.setBlocks([0, 1, 3], "tfc:grass/sandy_loam", true)
			scene.world.showSection([0, 1, 3], Direction.DOWN)
			scene.world.setBlocks([0, 1, 4], "tfc:grass/sandy_loam", true)
			scene.world.showSection([0, 1, 4], Direction.DOWN)
			scene.idle(2)
			//放置白雏菊
			scene.world.setBlocks([2, 2, 2], "botania:pure_daisy", true)
			scene.world.showSection([2, 2, 2], Direction.DOWN)
			scene.idle(2)
			scene.text(50, "啥？", [2.5, 3, 2.5])
			scene.idle(55)
			scene.text(50, "白雏菊也要教？", [2.5, 3, 2.5])
			scene.idle(55)
			scene.text(50, "（无奈的叹息）", [2.5, 3, 2.5])
			scene.idle(55)
			//介绍白雏菊的基本功能
			scene.addKeyframe()
			scene.text(80, "白雏菊将是你第一个要使用的功能花", [2.5, 3, 2.5])
			scene.idle(85)
			scene.text(80, "将任意原木...", [2.5, 3, 2.5])
			scene.world.setBlocks([3, 2, 3], "tfc:wood/log/white_cedar", true)
			scene.world.showSection([3, 2, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([3, 2, 2], "tfc:wood/log/white_cedar", true)
			scene.world.showSection([3, 2, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([3, 2, 1], "tfc:wood/log/white_cedar", true)
			scene.world.showSection([3, 2, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 1], "tfc:wood/log/white_cedar", true)
			scene.world.showSection([2, 2, 1], Direction.DOWN)
			scene.idle(80)
			scene.text(80, "...或是天然岩石摆放于四周，稍等片刻", [2.5, 3, 2.5])
			scene.world.setBlocks([2, 2, 3], "tfc:rock/raw/andesite", true)
			scene.world.showSection([2, 2, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 2, 3], "tfc:rock/raw/andesite", true)
			scene.world.showSection([1, 2, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 2, 2], "tfc:rock/raw/andesite", true)
			scene.world.showSection([1, 2, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 2, 1], "tfc:rock/raw/andesite", true)
			scene.world.showSection([1, 2, 1], Direction.DOWN)
			scene.idle(85)
			//白雏菊转化
			scene.world.setBlocks([3, 2, 3], "botania:livingwood_log", true)
			scene.world.showSection([3, 2, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([3, 2, 2], "botania:livingwood_log", true)
			scene.world.showSection([3, 2, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([3, 2, 1], "botania:livingwood_log", true)
			scene.world.showSection([3, 2, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 1], "botania:livingwood_log", true)
			scene.world.showSection([2, 1, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 3], "botania:livingrock", true)
			scene.world.showSection([2, 2, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 2, 3], "botania:livingrock", true)
			scene.world.showSection([1, 2, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 2, 2], "botania:livingrock", true)
			scene.world.showSection([1, 2, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 2, 1], "botania:livingrock", true)
			scene.world.showSection([1, 2, 1], Direction.DOWN)
			scene.idle(2)
			scene.text(80, "白雏菊会将它们转化为活木原木和活石", [2.5, 3, 2.5])
			scene.idle(80)
			//清场
			scene.world.setBlocks([3, 2, 3], "minecraft:air")
			scene.world.showSection([3, 2, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([3, 2, 2], "minecraft:air")
			scene.world.showSection([3, 2, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([3, 2, 1], "minecraft:air")
			scene.world.showSection([3, 2, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 1], "minecraft:air")
			scene.world.showSection([2, 2, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 3], "minecraft:air")
			scene.world.showSection([2, 2, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 2, 3], "minecraft:air")
			scene.world.showSection([1, 2, 3], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 2, 2], "minecraft:air")
			scene.world.showSection([1, 2, 2], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 2, 1], "minecraft:air")
			scene.world.showSection([1, 2, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([2, 2, 2], "minecraft:air")
			scene.world.showSection([2, 2, 2], Direction.DOWN)
			scene.idle(2)
			//关于天然岩石的获取
			scene.addKeyframe()
			//摆天然岩石
			scene.world.setBlocks([1, 2, 4], "tfc:rock/raw/andesite", true)
			scene.world.showSection([1, 2, 4], Direction.DOWN)
			scene.world.setBlocks([2, 2, 4], "tfc:rock/raw/andesite", true)
			scene.world.showSection([2, 2, 4], Direction.DOWN)
			scene.world.setBlocks([3, 2, 4], "tfc:rock/raw/andesite", true)
			scene.world.showSection([3, 2, 4], Direction.DOWN)
			scene.world.setBlocks([3, 2, 3], "tfc:rock/raw/andesite", true)
			scene.world.showSection([3, 2, 3], Direction.DOWN)
			scene.world.setBlocks([3, 2, 2], "tfc:rock/raw/andesite", true)
			scene.world.showSection([3, 2, 2], Direction.DOWN)
			scene.world.setBlocks([3, 2, 1], "tfc:rock/raw/andesite", true)
			scene.world.showSection([3, 2, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 3, 4], "tfc:rock/raw/andesite", true)
			scene.world.showSection([1, 3, 4], Direction.DOWN)
			scene.world.setBlocks([2, 3, 4], "tfc:rock/raw/andesite", true)
			scene.world.showSection([2, 3, 4], Direction.DOWN)
			scene.world.setBlocks([3, 3, 4], "tfc:rock/raw/andesite", true)
			scene.world.showSection([3, 3, 4], Direction.DOWN)
			scene.world.setBlocks([3, 3, 3], "tfc:rock/raw/andesite", true)
			scene.world.showSection([3, 3, 3], Direction.DOWN)
			scene.world.setBlocks([3, 3, 2], "tfc:rock/raw/andesite", true)
			scene.world.showSection([3, 3, 2], Direction.DOWN)
			scene.world.setBlocks([3, 3, 1], "tfc:rock/cobble/andesite", true)
			scene.world.showSection([3, 3, 1], Direction.DOWN)
			scene.idle(2)
			scene.world.setBlocks([1, 4, 4], "tfc:rock/raw/andesite", true)
			scene.world.showSection([1, 4, 4], Direction.DOWN)
			scene.world.setBlocks([3, 4, 4], "tfc:rock/raw/andesite", true)
			scene.world.showSection([3, 4, 4], Direction.DOWN)
			scene.world.setBlocks([3, 4, 3], "tfc:rock/raw/andesite", true)
			scene.world.showSection([3, 4, 3], Direction.DOWN)
			scene.world.setBlocks([3, 4, 2], "tfc:rock/cobble/andesite", true)
			scene.world.showSection([3, 4, 2], Direction.DOWN)
			scene.world.setBlocks([1, 4, 3], "tfc:rock/raw/andesite", true)
			scene.world.showSection([1, 4, 3], Direction.DOWN)
			scene.idle(2)
			scene.text(80, "注意，天然岩石才能转化活石，而要获取天然岩...", [2.5, 3, 2.5])
			scene.idle(80)
			scene.showControls(15, [1.5, 4.5, 4.5], "DOWN")
				.leftClick()
				.withItem("tfc:metal/pickaxe/red_steel")
			scene.idle(10)
			scene.world.setBlocks([1, 4, 4], "minecraft:air", true)
			scene.world.showSection([1, 4, 4], Direction.DOWN)
			scene.world.createItemEntity([1.5, 4.5, 4.5], Direction.UP, "tfc:rock/cobble/andesite")
			scene.world.setBlocks([1, 4, 3], "minecraft:air", true)
			scene.world.showSection([1, 4, 3], Direction.DOWN)
			scene.world.createItemEntity([1.5, 4.5, 3.5], Direction.UP, "tfc:rock/raw/andesite")
			scene.idle(2)
			scene.text(100, "可以利用天然岩的特性，挖掉其相连的方块，悬空的天然岩会自投罗网", [1.5, 4.5, 3.5])
			scene.idle(100)
			scene.text(80, "但是，我们可以对思路使用转向卡...", [2.5, 3, 2.5])
			scene.idle(80)
			scene.world.setBlocks([2, 2, 2], "botania:pure_daisy", true)
			scene.world.showSection([2, 2, 2], Direction.DOWN)
			scene.idle(2)
			scene.text(100, "带着白雏菊去找天然岩石，岂不更方便？山不转我转！", [2.5, 3, 2.5])
			scene.idle(50)
			scene.world.setBlocks([3, 2, 3], "botania:livingrock", true)
			scene.world.showSection([3, 2, 3], Direction.DOWN)
			scene.world.setBlocks([3, 2, 2], "botania:livingrock", true)
			scene.world.showSection([3, 2, 2], Direction.DOWN)
			scene.world.setBlocks([3, 2, 1], "botania:livingrock", true)
			scene.world.showSection([3, 2, 1], Direction.DOWN)
			scene.idle(2)

		})
})